LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-19-2017, 09:46 PM   #1
gobo7
LQ Newbie
 
Registered: Aug 2012
Posts: 21

Rep: Reputation: Disabled
compile kicad 13.37, missing dependency


trying to compile the slackbuilds version of kicad for 13.37. i have built and installed wxX11.

compile dies with this error:
/usr/src/tools/kicad/SBo/kicad-bzr_20120205/include/wxstruct.h:40:23: fatal error: wx/wxhtml.h: No such file or directory
compilation terminated.
make[2]: *** [3d-viewer/CMakeFiles/3d-viewer.dir/3d_aux.cpp.o] Error 1
make[2]: Leaving directory `/usr/src/tools/kicad/SBo/kicad-bzr_20120205/build'
make[1]: *** [3d-viewer/CMakeFiles/3d-viewer.dir/all] Error 2
make[1]: Leaving directory `/usr/src/tools/kicad/SBo/kicad-bzr_20120205/build'
make: *** [all] Error 2

i'm sure there is another dependency missing. any suggestions?

thank you.
 
Old 03-19-2017, 09:49 PM   #2
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Debian, Mageia, and whatever VMs I happen to be playing with
Posts: 11,798
Blog Entries: 13

Rep: Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948Reputation: 2948
In my experience, the first dependency error is the place to start. Subsequent dependency errors may result from it.

Try again and the first dependency error is the place to start.

Rinse and repeat.

Good luck.
 
Old 03-20-2017, 07:37 AM   #3
bassmadrigal
Senior Member
 
Registered: Nov 2003
Location: Newport News, VA
Distribution: Slackware
Posts: 3,582

Rep: Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729
SBo has tested wxPython for kicad, so that could by why you're having an issue using wxX11.

You should also make sure you have the other requirements, namely libgnomecups, libgnomeprint, libgnomecanvas, and libgnomeprintui.
 
Old 03-20-2017, 02:24 PM   #4
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,529

Rep: Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639Reputation: 1639
https://slackbuilds.org/repository/1...lopment/kicad/

note that the only dependency in 13.37 is wxGTK (still from the 13.37 repository)

https://slackbuilds.org/repository/1...braries/wxGTK/

but consider also that after 14.0 had been released, the scripts on SBo for 13.37 had stopped to be maintained: as a rule, SBo supports only the latest stable release of Slackware (14.2, ATM), so the scripts could work for you or they just couldn't.

you can also try to build newer versions, like bassmadrigal suggested you, but you are mainly on your own.
 
Old 03-20-2017, 02:32 PM   #5
bassmadrigal
Senior Member
 
Registered: Nov 2003
Location: Newport News, VA
Distribution: Slackware
Posts: 3,582

Rep: Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729Reputation: 1729
Quote:
Originally Posted by ponce View Post
https://slackbuilds.org/repository/1...lopment/kicad/

note that the only dependency in 13.37 is wxGTK (still from the 13.37 repository)

https://slackbuilds.org/repository/1...braries/wxGTK/

but consider also that after 14.0 had been released, the scripts on SBo for 13.37 had stopped to be maintained: as a rule, SBo supports only the latest stable release of Slackware (14.2, ATM), so the scripts could work for you or they just couldn't.

you can also try to build newer versions, like bassmadrigal suggested you, but you are mainly on your own.
Oops... I was thinking s/he meant compiling kicad, which happened to be at v13.37. Guess I should've read better
 
Old 03-21-2017, 10:29 AM   #6
gobo7
LQ Newbie
 
Registered: Aug 2012
Posts: 21

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
https://slackbuilds.org/repository/1...lopment/kicad/

note that the only dependency in 13.37 is wxGTK (still from the 13.37 repository)

https://slackbuilds.org/repository/1...braries/wxGTK/

but consider also that after 14.0 had been released, the scripts on SBo for 13.37 had stopped to be maintained: as a rule, SBo supports only the latest stable release of Slackware (14.2, ATM), so the scripts could work for you or they just couldn't.

you can also try to build newer versions, like bassmadrigal suggested you, but you are mainly on your own.
i was thinking wxGTK was what i was missing, but was not sure. i'll give it a try when i get home tonight.

thanks!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] missing dependency on rhel sumeet inani Linux - Newbie 3 06-01-2012 07:29 AM
Missing Dependency ImpossibleS Red Hat 22 12-20-2010 04:15 PM
Missing dependency - libmcrypt.so.4 simonm Linux - Newbie 4 09-23-2008 06:21 PM
Missing Dependency saurabhvasa Linux - Software 2 08-27-2008 10:24 AM
How to tell yum missing dependency is actually there decrepit Fedora 2 02-04-2007 05:36 AM


All times are GMT -5. The time now is 12:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration